### Method

# Hex Document find_backward_full

since: 4.2

#### Declaration

    gboolean
    hex_document_find_backward_full (
      HexDocument* doc,
      HexDocumentFindData* find_data
    )

#### Description

Full version of `hex_document_find_backward()` which allows for more flexibility than the above, which is only for a byte-by-byte exact match. However, it is less convenient to call since the caller must create and and free a `HexDocumentFindData` structure manually.

This method will block. For a non-blocking version, use `hex_document_find_backward_full_async()`.

Available since: 4.2

#### Parameters

`find_data`

  Type: `HexDocumentFindData`

  A `HexDocumentFindData` structure.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the search string contained in `find_data` was found by the requested operation; `FALSE` otherwise.